
From: David Gibson <david@gibson.dropbear.id.au>

After the recent SLB and STAB cleanups, the ppc64 KERNEL_CONTEXT() macro is
no longer used anywhere.  This patch removes it.

Signed-off-by: David Gibson <dwg@au1.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc64/mmu.h |   10 ----------
 1 files changed, 10 deletions(-)

diff -puN include/asm-ppc64/mmu.h~ppc64-clean-up-unused-macro include/asm-ppc64/mmu.h
--- 25/include/asm-ppc64/mmu.h~ppc64-clean-up-unused-macro	2004-08-24 22:48:47.644312960 -0700
+++ 25-akpm/include/asm-ppc64/mmu.h	2004-08-24 22:48:47.652311744 -0700
@@ -27,16 +27,6 @@ typedef struct {
 #endif
 } mm_context_t;
 
-#ifdef CONFIG_HUGETLB_PAGE
-#define KERNEL_LOW_HPAGES	.htlb_segs = 0,
-#else
-#define KERNEL_LOW_HPAGES
-#endif
-
-#define KERNEL_CONTEXT(ea) ({ \
-		mm_context_t ctx = { .id = REGION_ID(ea), KERNEL_LOW_HPAGES}; \
-		ctx; })
-
 #define STE_ESID_V	0x80
 #define STE_ESID_KS	0x20
 #define STE_ESID_KP	0x10
_
